Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Erstellung Koordinaten System mit VBA

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Erstellung Koordinaten System mit VBA (195 mal gelesen)
DeRubio0
Mitglied
Ingenieur

Sehen Sie sich das Profil von DeRubio0 an!   Senden Sie eine Private Message an DeRubio0  Schreiben Sie einen Gästebucheintrag für DeRubio0

Beiträge: 4
Registriert: 28.02.2018

Catia V5 R26

erstellt am: 13. Mrz. 2018 08:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

ich würde gerne für einen "Axis to Axis" Befehl per VBA ein Koordinatensystem erstellen. Beim erstellen des Koordinatensystem werden die vorher erzeugten Linien nicht in den Befehl implementiert. Die Linien, der Punkt, das Koordiantensystem (ohne Referenzen) und die AxistoAxis transformation werden erstellt. Nur die Referenzen für das Koordiantensystem funktioniert nicht.

Würde mich freuen wenn mir jemand weiterhelfen könnte.

Der Code ist:

Public Selected_starting_point As Object
Public Selected_write_direction As Object
Public Selected_surface As Object
Public Selected_tooling_direction As Object

Private Sub Axis_Click()

Set docs = CATIA.Documents
Set cad2 = CATIA.ActiveDocument
Set sel2 = cad2.Selection
Set hsf2 = cad2.Part.HybridShapeFactory
Set hb1 = cad2.Part.HybridBodies
Set vis2 = cad2.Selection.VisProperties
Set spa2 = cad2.GetWorkbench("SPAWorkbench")
Set prt2 = cad2.Part
Set bodies1 = prt2.Bodies
Set Axis_Systems = prt2.AxisSystems
Set hb2 = prt2.HybridBodies.Add()

Set axis_origin = Axis_Systems.Add()
prt2.UpdateObject axis_origin

Set InTangency = hsf2.AddNewLineTangency(Selected_write_direction, Selected_starting_point, 10#, -10#, False)
hb2.AppendHybridShape InTangency
Set InNormal = hsf2.AddNewLineNormal(Selected_surface, Selected_starting_point, 10#, -10#, False)
hb2.AppendHybridShape InNormal
Set axis_letter = Axis_Systems.Add()
axis_letter.OriginType = catAxisSystemOriginByPoint
axis_letter.OriginPoint = Selected_starting_point
axis_letter.XAxisType = catAxisSystemAxisSameDirection
axis_letter.XAxisDirection = InTangency
axis_letter.YAxisType = 0
axis_letter.ZAxisType = catAxisSystemAxisSameDirection
axis_letter.ZAxisDirection = InNormal
axis_letter.IsCurrent = False
prt2.Update axis_letter

Set reference1 = prt2.CreateReferenceFromObject(char_sur(k))
Set reference2 = prt2.CreateReferenceFromObject(axis_origin)
Set reference3 = prt2.CreateReferenceFromObject(axis_letter)
Set AxisToAxis1 = hsf2.AddNewAxisToAxis(reference1, reference2, reference3)
hb2.AppendHybridShape AxisToAxis1

prt2.Update

End Sub


Vielen Dank im Voraus.

------------------
---
nichts geschieht ohne risiko aber ohne risiko geschieht nichts

[Walter Scheel]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 9944
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 13. Mrz. 2018 20:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für DeRubio0 10 Unities + Antwort hilfreich

Servus

Was funktioniert dabei nicht?
Dein Code läuft bei mir wenn ich vor dem Erstellen des Achsensystems die beiden Linien zuvor update.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DeRubio0
Mitglied
Ingenieur

Sehen Sie sich das Profil von DeRubio0 an!   Senden Sie eine Private Message an DeRubio0  Schreiben Sie einen Gästebucheintrag für DeRubio0

Beiträge: 4
Registriert: 28.02.2018

Catia V5 R26

erstellt am: 14. Mrz. 2018 07:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Tausend Danke.
Genau das war der entscheidene Hinweis. Mit dem Update der Linien funktioniert es :-)

Grüße
Ruben

------------------
---
nichts geschieht ohne risiko aber ohne risiko geschieht nichts

[Walter Scheel]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de